Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.advice
Class GenericAspectFactory

    java.lang.Object
      org.jboss.aop.advice.AspectFactoryWithClassLoaderSupport
          org.jboss.aop.advice.GenericAspectFactory

All Implemented Interfaces:
  AspectFactory, AspectFactoryWithClassLoader

public class GenericAspectFactory
extends AspectFactoryWithClassLoaderSupport

Version:
  $Revision: 1.11 $
Author:
  Kabir Khan

Constructor Summary
`GenericAspectFactory(String classname, Element element)`

Method Summary
`protected void` | `configureInstance(Object instance, Advisor advisor, InstanceAdvisor instanceAdvisor, Joinpoint jp)`
`Object` | `createPerClass(Advisor advisor)`
`Object` | `createPerInstance(Advisor advisor, InstanceAdvisor instanceAdvisor)`
`Object` | `createPerJoinpoint(Advisor advisor, InstanceAdvisor instanceAdvisor, Joinpoint jp)`
`Object` | `createPerJoinpoint(Advisor advisor, Joinpoint jp)`
`Object` | `createPerVM()`
`String` | `getClassname()`
`Class` | `getClazz()`
`Element` | `getElement()`
`protected String` | `getInjectorName(String attributeName)`
`String` | `getName()`
`static void` | `initEditors()`
`protected void` | `injectAdvisor(Object instance, Advisor advisor, String attributeName)`
`protected void` | `injectInstanceAdvisor(Object instance, InstanceAdvisor instanceAdvisor, String attributeName)`
`protected void` | `injectJoinpoint(Object instance, Joinpoint jp, String attributeName)`
`protected void` | `setAttribute(Object instance, PropertyDescriptor[] descriptors, String attributeName, String attributeText)`
`void` | `setClassname(String classname)`
`void` | `setClazz(Class clazz)`
`void` | `setElement(Element element)`

Methods inherited from class org.jboss.aop.advice.AspectFactoryWithClassLoaderSupport
`getLoader, loadClass, setClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericAspectFactory

    public GenericAspectFactory(String classname,
                                Element element)

Method Detail

### initEditors

    public static void initEditors()

### setClazz

    public void setClazz(Class clazz)

### getClassname

    public String getClassname()

### setClassname

    public void setClassname(String classname)

### getName

    public String getName()

### getElement

    public Element getElement()

### setElement

    public void setElement(Element element)

### getClazz

    public Class getClazz()

### createPerVM

    public Object createPerVM()

### createPerClass

    public Object createPerClass(Advisor advisor)

### createPerInstance

    public Object createPerInstance(Advisor advisor,
                                    InstanceAdvisor instanceAdvisor)

### createPerJoinpoint

    public Object createPerJoinpoint(Advisor advisor,
                                     Joinpoint jp)

### createPerJoinpoint

    public Object createPerJoinpoint(Advisor advisor,
                                     InstanceAdvisor instanceAdvisor,
                                     Joinpoint jp)

### configureInstance

    protected void configureInstance(Object instance,
                                     Advisor advisor,
                                     InstanceAdvisor instanceAdvisor,
                                     Joinpoint jp)

### setAttribute

    protected void setAttribute(Object instance,
                                PropertyDescriptor[] descriptors,
                                String attributeName,
                                String attributeText)

### injectAdvisor

    protected void injectAdvisor(Object instance,
                                 Advisor advisor,
                                 String attributeName)

### injectJoinpoint

    protected void injectJoinpoint(Object instance,
                                   Joinpoint jp,
                                   String attributeName)

### injectInstanceAdvisor

    protected void injectInstanceAdvisor(Object instance,
                                         InstanceAdvisor instanceAdvisor,
                                         String attributeName)

### getInjectorName

    protected String getInjectorName(String attributeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.